Debian Bug report logs - #617966
pypar2 fails to start under Python 2.7

version graph

Package: pypar2; Maintainer for pypar2 is Piotr Ożarowski <piotr@debian.org>; Source for pypar2 is src:pypar2.

Reported by: Stefano Rivera <stefanor@debian.org>

Date: Sat, 12 Mar 2011 22:39:01 UTC

Severity: normal

Tags: patch

Found in version pypar2/1.4-5

Fixed in version pypar2/1.4-6

Done: Stefano Rivera <stefanor@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Piotr Ożarowski <piotr@debian.org>:
Bug#617966; Package pypar2. (Sat, 12 Mar 2011 22:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Rivera <stefanor@debian.org>:
New Bug report received and forwarded. Copy sent to Piotr Ożarowski <piotr@debian.org>. (Sat, 12 Mar 2011 22:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefano Rivera <stefanor@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pypar2 fails to start under Python 2.7
Date: Sun, 13 Mar 2011 00:37:36 +0200
[Message part 1 (text/plain, inline)]
Package: pypar2
Version: 1.4-5
Severity: normal
Tags: patch
User: debian-python@lists.debian.org
Usertag: python2.7

From
https://bugs.launchpad.net/ubuntu/+source/pypar2/+bug/719708

Under Python 2.7:

Traceback (most recent call last):
  File "/usr/bin/pypar2", line 20, in <module>
    import consts, dlgAbout, dlgOutput, gettext, gtk, gtk.glade, locale, os.path, prefsManager, sys, treeview
  File "/usr/share/pypar2/src/dlgOutput.py", line 19, in <module>
    import consts, gtk, prefsManager, signal, sys, os, vte
  File "/usr/share/pypar2/src/prefsManager.py", line 116, in <module>
    value       = typeToolBox.cast(elt.getAttribute('value'), elt.getAttribute('type'))
  File "/usr/share/pypar2/src/typeToolBox.py", line 39, in cast
    return int(value)
ValueError: invalid literal for int() with base 10: 'False'

This happens on the second execution of the program, because it has saved an
incorrect preferences file containing:

<pref name="chkUniformFileSize" type="int" value="False"/>

Under Python 2.7, the dict in typeToolBox.py appears to change iteration
order. One can't rely on the order of the iteration of a dictionary
(unless you use the new OrderedDict).

Here's a trivial patch to use a list of tuples instead.

SR

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_ZA.UTF-8, LC_CTYPE=en_ZA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pypar2 depends on:
ii  par2                    0.4-11           Parity Archive Volume Set, for che
ii  python                  2.6.6-3+squeeze5 interactive high-level object-orie
ii  python-glade2           2.17.0-4         GTK+ bindings: Glade support
ii  python-gtk2             2.17.0-4         Python bindings for the GTK+ widge
ii  python-support          1.0.11           automated rebuilding support for P
ii  python-vte              1:0.24.3-2       Python bindings for the VTE widget

pypar2 recommends no packages.

pypar2 suggests no packages.

-- no debconf information
[typeorder.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from stefanor@users.alioth.debian.org to control@bugs.debian.org. (Wed, 23 Mar 2011 20:36:21 GMT) Full text and rfc822 format available.

Reply sent to Stefano Rivera <stefanor@debian.org>:
You have taken responsibility. (Wed, 23 Mar 2011 22:51:08 GMT) Full text and rfc822 format available.

Notification sent to Stefano Rivera <stefanor@debian.org>:
Bug acknowledged by developer. (Wed, 23 Mar 2011 22:51:08 GMT) Full text and rfc822 format available.

Message #12 received at 617966-close@bugs.debian.org (full text, mbox):

From: Stefano Rivera <stefanor@debian.org>
To: 617966-close@bugs.debian.org
Subject: Bug#617966: fixed in pypar2 1.4-6
Date: Wed, 23 Mar 2011 22:48:47 +0000
Source: pypar2
Source-Version: 1.4-6

We believe that the bug you reported is fixed in the latest version of
pypar2, which is due to be installed in the Debian FTP archive:

pypar2_1.4-6.diff.gz
  to main/p/pypar2/pypar2_1.4-6.diff.gz
pypar2_1.4-6.dsc
  to main/p/pypar2/pypar2_1.4-6.dsc
pypar2_1.4-6_all.deb
  to main/p/pypar2/pypar2_1.4-6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 617966@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefano Rivera <stefanor@debian.org> (supplier of updated pypar2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 23 Mar 2011 21:55:07 +0200
Source: pypar2
Binary: pypar2
Architecture: all source
Version: 1.4-6
Distribution: unstable
Urgency: low
Maintainer: Piotr Ożarowski <piotr@debian.org>
Changed-By: Stefano Rivera <stefanor@debian.org>
Closes: 617966
Description: 
 pypar2     - graphical frontend for the par2 utility
Changes: 
 pypar2 (1.4-6) unstable; urgency=low
 .
   * Team upload.
   * typeorder.patch: Use list of tuples instead of depending on the iteration
     order of a dict. (Closes: #617966, LP: #719708)
Checksums-Sha1: 
 fceec9b5f6fcc1a437acd8557eef070b5205abd0 1918 pypar2_1.4-6.dsc
 70ea1179828217a62492e3057e39954ffa8bae15 3792 pypar2_1.4-6.diff.gz
 6d89e09776323ced576e60296a368a0cecdfb157 48686 pypar2_1.4-6_all.deb
Checksums-Sha256: 
 9a3e3bc4c1717bb14b412bc9cb2fa0650dbc238faf26b67f13bfa770ceea4cdc 1918 pypar2_1.4-6.dsc
 1789b6eab8400af89e54c69a21202c281fd9c2dbde99918a8035ccf95cd4578a 3792 pypar2_1.4-6.diff.gz
 af3e843fdff049716c89756099c729168ad2232d96f00b4d5f21a72db9350726 48686 pypar2_1.4-6_all.deb
Files: 
 ecb4804bed35828f2956e481dabc9fc3 1918 gnome extra pypar2_1.4-6.dsc
 b8a701fefcb7c5ca915a8860743e487b 3792 gnome extra pypar2_1.4-6.diff.gz
 f4d5d8e3dd0e5c027bc0b300d8e46836 48686 gnome extra pypar2_1.4-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJNilmwAAoJEACQ/CG1zRrMXdwP/08q6Fi+8s2s2mMreChSACax
X0t36ZZ/bs6mf4xUHWXtTfdj3fBdddgKTyG1O+AQzgg2O0lLBqWi1rrZTCeIoDXy
xtuqgfKfhe2Ml1KcQbFIX9vjMZWtcAeoOyHJIe8Ui69Ky2fMapnGdMxGHo1z5cEN
J4qticzSVxjn3XkWWTYTx6jdFHxyzaBQIjmUMvVE0+Qj3uH06v/sP2E7asisOMNd
v4TNO7ptV/4enagtF6XNGkaUp4UWpU1kzV6Q/JzhNBtYVL15QUXeWhq/SjDazfKc
6Dq8su2b4T1Ce3CGjM1teC/KWDaebz4+HFoMWss62774tNPsVX1+wusF9v2fyeQx
zpYLF0zFqGKXTQMNWTB6dhERlXTeiDFiey5f2ia1JL+QetaxyiP44hCX7e+ZRJbi
FL5dO6WVSNJy73Agr2VhgkffLTPdxBVsqDFuf9kdwn48Fc1S1O9Q7wPzLCpUmtXb
fjpqyiheeNNzdgHynr9Y/5fjoo0DwrzFUluup+hdf3BZc8ycAVmQR74cIBWMnaXy
+32zLn1l99I2Bp4lyFzBw4zcfCdGHy8dEPbjqyN20A2nevco1ldk4EAf8jrF3W+n
deUFScu+kVhmdLDackvEZll3ZcYzTHfVikALdyucscP0It3csK6mVX4syd//fi2b
dyR813I941hfnCeonVYW
=QY3S
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 May 2011 07:38:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:09:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.